Summary:	A safe, concurrent, practical programming language
Name:		rust
Version:	0.8
Release:	%mkrel 2
Source0:	http://static.rust-lang.org/dist/%{name}-%{version}.tar.gz
License:	MIT
Group:		Development/Other
Url:		http://www.rust-lang.org/

BuildRequires:  python < 3.0

%description
Rust is a curly-brace, block-structured expression language. It
visually resembles the C language family, but differs significantly
in syntactic and semantic details. Its design is oriented toward
concerns of "programming in the large", that is, of creating and
maintaining boundaries - both abstract and operational - that
preserve large-system integrity, availability and concurrency.

It supports a mixture of imperative procedural, concurrent actor,
object-oriented and pure functional styles. Rust also supports
generic programming and metaprogramming, in both static and dynamic
styles. 

%package -n vim-rust
Group:          Editors
Summary:        Syntax highlighting for rust in vim

%description -n vim-rust
The vim-rust package provides filetype detection and syntax highlighting for
the rust programming language.

%package -n kate-rust
Group:          Editors
Summary:        Syntax highlighting for rust in kate

%description -n kate-rust
The kate-rust package provides filetype detection and syntax highlighting for
the rust programming language.

%prep
%setup -q

%build
# enable better rust debug messages during build
export RUST_LOG=rustc=1;

# Unable to use standard configure as rust's configure is missing
# many of the options including --build and --libdir
./configure \
	--prefix=%{_prefix}
%make

%install
%makeinstall_std

# vim syntax files
vimdir=%{buildroot}%{_datadir}/vim
mkdir -vp %{buildroot}%{_datadir}/vim
cp -vr src/etc/vim/* $vimdir/

# kate syntax files
mkdir -vp %{buildroot}%{_datadir}/apps/katepart/syntax/
cp -v src/etc/kate/rust.xml %{buildroot}%{_datadir}/apps/katepart/syntax/

%files
%{_bindir}/rust
%{_bindir}/rustc
%{_bindir}/rustdoc
%{_bindir}/rusti
%{_bindir}/rustpkg
%{_prefix}/lib/rustc
%{_prefix}/lib/l*
%{_mandir}/man*/*

%files -n vim-rust
%{_datadir}/vim/*

%files -n kate-rust
%{_datadir}/apps/katepart/syntax/rust.xml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.8-2.mga4
+ Revision: 541162
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 thatsamguy <thatsamguy> 0.8-1.mga4
+ Revision: 494701
- fix build error from macro in comments
- imported package rust

